net.corda.jackson

## Class JacksonSupport.PublicKeySerializer

- net.corda.jackson.JacksonSupport.PublicKeySerializer

- Enclosing class:
    JacksonSupport

      public static class JacksonSupport.PublicKeySerializer

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static JacksonSupport.PublicKeySerializer` | `INSTANCE`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `serialize(net.i2p.crypto.eddsa.EdDSAPublicKey obj, com.fasterxml.jackson.core.JsonGenerator generator, com.fasterxml.jackson.databind.SerializerProvider provider)`

- - ### Field Detail

    - #### INSTANCE

          public static JacksonSupport.PublicKeySerializer INSTANCE

  - ### Method Detail

    - #### serialize

          public void serialize(net.i2p.crypto.eddsa.EdDSAPublicKey obj,
                                com.fasterxml.jackson.core.JsonGenerator generator,
                                com.fasterxml.jackson.databind.SerializerProvider provider)